[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# DefaultIPCClientClass

Default client communication class

## Declaration

Source position: simpleipc.pp line 279

`var DefaultIPCClientClass: TIPCClientCommClass = Nil;`

## Description

DefaultIPCClientClass is filled with a class pointer indicating which kind of communication protocol class should be instantiated by the TSimpleIPCClient class. It is set to a default value by the default implementation in the SimpleIPC unit, but can be set to another class if another method of transport is desired. (it should match the communication protocol used by the server, obviously).

## See also

TSimpleIPCClient |  | Simple IPC client component
TIPCClientComm |  | Internal client-side communication protocol